Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.gems.constraints
Class CollectionConstraint

    java.lang.Object
      org.picocontainer.parameters.CollectionComponentParameter
          org.picocontainer.gems.constraints.CollectionConstraint

All Implemented Interfaces:
  Serializable, Constraint, org.picocontainer.Parameter

    public final class CollectionConstraint

extends org.picocontainer.parameters.CollectionComponentParameter
implements Constraint

Constraint that collects/aggregates dependencies to as many components that satisfy the given constraint.

Author:
  Nick Sieger, Jörg Schaible
See Also:
  Serialized Form

Field Summary
`protected Constraint` | `constraint`

Fields inherited from class org.picocontainer.parameters.CollectionComponentParameter
`ARRAY, ARRAY_ALLOW_EMPTY`

Fields inherited from interface org.picocontainer.Parameter
`DEFAULT, ZERO`

Constructor Summary
`CollectionConstraint(Constraint constraint)`
`CollectionConstraint(Constraint constraint, boolean emptyCollection)`

Method Summary
`void` | `accept(org.picocontainer.PicoVisitor visitor)`
`boolean` | `evaluate(org.picocontainer.ComponentAdapter adapter)` Evaluate whether the given component adapter matches this constraint.

Methods inherited from class org.picocontainer.parameters.CollectionComponentParameter
`getMatchingComponentAdapters, isResolvable, resolveInstance, verify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.picocontainer.Parameter
`isResolvable, resolveInstance, verify`

Field Detail

### constraint

    protected final Constraint constraint

Constructor Detail

### CollectionConstraint

    public CollectionConstraint(Constraint constraint)

### CollectionConstraint

    public CollectionConstraint(Constraint constraint,
                                boolean emptyCollection)

Method Detail

### evaluate

    public boolean evaluate(org.picocontainer.ComponentAdapter adapter)

  Description copied from interface: `Constraint`
  Evaluate whether the given component adapter matches this constraint.

  Specified by:
    `evaluate` in interface `Constraint`
  Overrides:
    `evaluate` in class `org.picocontainer.parameters.CollectionComponentParameter`
  Parameters:
    `adapter` - a `ComponentAdapter` value
  Returns:
    true if the adapter matches the constraint

### accept

    public void accept(org.picocontainer.PicoVisitor visitor)

  Specified by:
    `accept` in interface `org.picocontainer.Parameter`
  Overrides:
    `accept` in class `org.picocontainer.parameters.CollectionComponentParameter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.